Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mail
Class MailMessage

    java.lang.Object
      com.bea.p13n.mail.MailMessage

All Implemented Interfaces
  Serializable

    public class MailMessage

extends Object
implements Serializable

Class to represent an email message and it's supporting data.

See Also
  Serialized Form

Constructor Summary
`MailMessage()`

Method Summary
`void` | `addHeader(String name, String value)`
`String` | `getFrom()` Get the value of from.
`Map` | `getHeaders()` Get the value of headers.
`String` | `getMessageText()` Get the value of messageText.
`MailRecipients` | `getRecipients()` Get the value of recipients.
`String` | `getSubject()` Get the value of subject.
`void` | `setFrom(String v)` Set the value of from.
`void` | `setHeaders(Map v)` Set the value of headers.
`void` | `setMessageText(String v)` Set the value of messageText.
`void` | `setRecipients(MailRecipients v)` Set the value of recipients.
`void` | `setSubject(String v)` Set the value of subject.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailMessage

    public MailMessage()

Method Detail

### getRecipients

    public MailRecipients getRecipients()

  Get the value of recipients.

  Returns
    Value of recipients.

### setRecipients

    public void setRecipients(MailRecipients v)

  Set the value of recipients.

  Parameters
    `v` - Value to assign to recipients.

### getHeaders

    public Map getHeaders()

  Get the value of headers.

  Returns
    Value of headers.

### setHeaders

    public void setHeaders(Map v)

  Set the value of headers.

  Parameters
    `v` - Value to assign to headers.

### addHeader

    public void addHeader(String name,
                          String value)

### getSubject

    public String getSubject()

  Get the value of subject.

  Returns
    Value of subject.

### setSubject

    public void setSubject(String v)

  Set the value of subject.

  Parameters
    `v` - Value to assign to subject.

### getFrom

    public String getFrom()

  Get the value of from.

  Returns
    Value of from.

### setFrom

    public void setFrom(String v)

  Set the value of from.

  Parameters
    `v` - Value to assign to from.

### getMessageText

    public String getMessageText()

  Get the value of messageText.

  Returns
    Value of messageText.

### setMessageText

    public void setMessageText(String v)

  Set the value of messageText.

  Parameters
    `v` - Value to assign to messageText.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.